SOXI_NG(1)

NAME
soxi_ng - Sound eXchange Information, display sound file metadata

SYNOPSIS
soxi_ng [-V[level]] [-T] [-t|-r|-c|-s|-d|-D|-b|-B|-p|-e|-a] infile1 ...

DESCRIPTION
Displays information from the header of a given audio file or files. Supported audio file types are listed and described in soxformat_ng(7). Note however, that soxi_ng is intended for use only with audio files with a self-describing header. By default, as much information as is available is shown. An option may be given to select just a single piece of information (perhaps for use in a script or batch file).

OPTIONS

-V  Set verbosity. See sox_ng(1) for details.

-T  Used with multiple files; changes the behavior of -s, -d and -D to display the total across all given files. Note that when used with -s with files with different sampling rates, this is of questionable value.

-t  Show detected file type.

-r  Show sample-rate.

-c  Show number of channels.

-s  Show number of samples (0 if unavailable).

-d  Show duration in hours, minutes and seconds (0 if unavailable). Equivalent to number of samples divided by the sample-rate.

-D  Show duration in seconds (0 if unavailable).

-b  Show number of bits per sample (0 if not applicable).

-B  Show the average bitrate of the audio data (0 if unavailable). For Ogg and Opus files, it will be slightly higher than reality as the size of the file header is not easily discovered.

-p  Show estimated sample precision in bits.

-e  Show the name of the audio encoding.

-a  Show file comments (annotations) if available.

BUGS
Please report any bugs found in this version of SoX to the mailing list (sox-ng@groups.io)

SEE ALSO
sox_ng(1), soxformat_ng(7), libsox_ng(3) The SoX web site at https://codeberg.org/sox_ng

LICENSE
Copyright 2008-2013 by Chris Bagwell and SoX and SoX Contributors. This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHORS
Chris Bagwell (cbagwell@users.sourceforge.net). Other authors and contributors are listed in the ChangeLog file that is distributed with the source code.